## org.h2.samples
Class TriggerPassData

    java.lang.Object
      org.h2.samples.TriggerPassData

All Implemented Interfaces:
  Trigger

    public class TriggerPassData

extends java.lang.Object
implements Trigger

This sample application shows how to pass data to a trigger.

Field Summary

Fields inherited from interface org.h2.api.Trigger
`DELETE, INSERT, SELECT, UPDATE`

Constructor Summary
`TriggerPassData()`

Method Summary
`void` `fire(java.sql.Connection conn, java.lang.Object[] old, java.lang.Object[] row)` This method is called for each triggered action.
`void` `init(java.sql.Connection conn, java.lang.String schemaName, java.lang.String triggerName, java.lang.String tableName, boolean before, int type)` This method is called by the database engine once when initializing the trigger.
`static void` `main(java.lang.String... args)` This method is called when executing this sample application from the command line.
`static void` `setTriggerData(java.lang.String trigger, java.lang.String data)` Call this method to change a specific trigger.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TriggerPassData

    public TriggerPassData()

Method Detail

### main

    public static void main(java.lang.String... args)
                     throws java.lang.Exception

  This method is called when executing this sample application from the command line.

  Parameters:
    `args` - the command line parameters
  Throws:
    `java.lang.Exception`

### init

    public void init(java.sql.Connection conn,
                     java.lang.String schemaName,
                     java.lang.String triggerName,
                     java.lang.String tableName,
                     boolean before,
                     int type)

  Description copied from interface: `Trigger`
  This method is called by the database engine once when initializing the trigger.

  Specified by:
    `init` in interface `Trigger`
  Parameters:
    `conn` - a connection to the database
    `schemaName` - the name of the schema
    `triggerName` - the name of the trigger used in the CREATE TRIGGER statement
    `tableName` - the name of the table
    `before` - whether the fire method is called before or after the operation is performed
    `type` - the operation type: INSERT, UPDATE, or DELETE

### fire

    public void fire(java.sql.Connection conn,
                     java.lang.Object[] old,
                     java.lang.Object[] row)

  Description copied from interface: `Trigger`
  This method is called for each triggered action. The method is called immediately when the operation occurred (before it is committed). A transaction rollback will also rollback the operations that were done within the trigger, if the operations occurred within the same database. If the trigger changes state outside the database, a rollback trigger should be used.

  Specified by:
    `fire` in interface `Trigger`
  Parameters:
    `conn` - a connection to the database
    `old` - the old row, or null if no old row is available (for INSERT)
    `row` - the new row, or null if no new row is available (for DELETE)

### setTriggerData

    public static void setTriggerData(java.lang.String trigger,
                                      java.lang.String data)

  Call this method to change a specific trigger.

  Parameters:
    `trigger` - the trigger name
    `data` - the data